version: '{branch}-{build}'
build: off
cache:
  - '%LOCALAPPDATA%\pip\Cache'
environment:
  global:
    WITH_COMPILER: 'cmd /E:ON /V:ON /C .\ci\appveyor-with-compiler.cmd'
  matrix:
    - TOXENV: check
      TOXPYTHON: C:\Python27\python.exe
      PYTHON_HOME: C:\Python27
      PYTHON_VERSION: '2.7'
      PYTHON_ARCH: '32'
    - TOXENV: 'py27,report,codecov'
      TOXPYTHON: C:\Python27\python.exe
      PYTHON_HOME: C:\Python27
      PYTHON_VERSION: '2.7'
      PYTHON_ARCH: '32'
    - TOXENV: 'py27,report,codecov'
      TOXPYTHON: C:\Python27-x64\python.exe
      WINDOWS_SDK_VERSION: v7.0
      PYTHON_HOME: C:\Python27-x64
      PYTHON_VERSION: '2.7'
      PYTHON_ARCH: '64'
    - TOXENV: 'py33,report,codecov'
      TOXPYTHON: C:\Python33\python.exe
      PYTHON_HOME: C:\Python33
      PYTHON_VERSION: '3.3'
      PYTHON_ARCH: '32'
    - TOXENV: 'py33,report,codecov'
      TOXPYTHON: C:\Python33-x64\python.exe
      WINDOWS_SDK_VERSION: v7.1
      PYTHON_HOME: C:\Python33-x64
      PYTHON_VERSION: '3.3'
      PYTHON_ARCH: '64'
    - TOXENV: 'py34,report,codecov'
      TOXPYTHON: C:\Python34\python.exe
      PYTHON_HOME: C:\Python34
      PYTHON_VERSION: '3.4'
      PYTHON_ARCH: '32'
    - TOXENV: 'py34,report,codecov'
      TOXPYTHON: C:\Python34-x64\python.exe
      WINDOWS_SDK_VERSION: v7.1
      PYTHON_HOME: C:\Python34-x64
      PYTHON_VERSION: '3.4'
      PYTHON_ARCH: '64'
    - TOXENV: 'py35,report,codecov'
      TOXPYTHON: C:\Python35\python.exe
      PYTHON_HOME: C:\Python35
      PYTHON_VERSION: '3.5'
      PYTHON_ARCH: '32'
    - TOXENV: 'py35,report,codecov'
      TOXPYTHON: C:\Python35-x64\python.exe
      PYTHON_HOME: C:\Python35-x64
      PYTHON_VERSION: '3.5'
      PYTHON_ARCH: '64'
    - TOXENV: 'py36,report,codecov'
      TOXPYTHON: C:\Python36\python.exe
      PYTHON_HOME: C:\Python36
      PYTHON_VERSION: '3.6'
      PYTHON_ARCH: '32'
    - TOXENV: 'py36,report,codecov'
      TOXPYTHON: C:\Python36-x64\python.exe
      PYTHON_HOME: C:\Python36-x64
      PYTHON_VERSION: '3.6'
      PYTHON_ARCH: '64'
init:
  - ps: echo $env:TOXENV
  - ps: ls C:\Python*
install:
  - python -u ci\appveyor-bootstrap.py
  - '%PYTHON_HOME%\Scripts\virtualenv --version'
  - '%PYTHON_HOME%\Scripts\easy_install --version'
  - '%PYTHON_HOME%\Scripts\pip --version'
  - '%PYTHON_HOME%\Scripts\tox --version'
test_script:
  - '%WITH_COMPILER% %PYTHON_HOME%\Scripts\tox'

on_failure:
  - ps: dir "env:"
  - ps: get-content .tox\*\log\*
artifacts:
  - path: dist\*

### To enable remote debugging uncomment this (also, see: http://www.appveyor.com/docs/how-to/rdp-to-build-worker):
# on_finish:
#   - ps: $blockRdp = $true; iex ((new-object net.webclient).DownloadString('https://raw.githubusercontent.com/appveyor/ci/master/scripts/enable-rdp.ps1'))
